linux-keystone: 3.13.0-11.18 -proposed tracker

Bug #1365272 reported by Brad Figg on 2014-09-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Registry Administrators
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-11.18 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 04. September 2014 05:02 UTC
kernel-stable-master-bug:1365052
kernel-stable-Certification-testing-end:Thursday, 04. September 2014 06:01 UTC
kernel-stable-Security-signoff-end:Thursday, 04. September 2014 06:01 UTC
kernel-stable-Prepare-package-end:Thursday, 04. September 2014 13:03 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 04. September 2014 13:03 UTC
ppa-package-testing-start:Thursday, 04. September 2014 13:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 04. September 2014 19:45 UTC
kernel-stable-Verification-testing-start:Thursday, 04. September 2014 21:07 UTC
kernel-stable-Regression-testing-start:Thursday, 04. September 2014 21:07 UTC
kernel-stable-Regression-testing-end:Wednesday, 10. September 2014 09:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 22. September 2014 22:05 UTC
kernel-stable-Promote-to-updates-end:Monday, 22. September 2014 23:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 23. September 2014 00:03 UTC

This tracking bug was opened to be worked from linux-3.13.0-36.63 update (bug 1365052)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu):
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu Trusty):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-09-04
summary: - linux-keystone: <version to be filled> -proposed tracker
+ linux-keystone: 3.13.0-11.18 -proposed tracker
description: updated
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2014-09-04
description: updated
Ike Panhc (ikepanhc) on 2014-09-04
Changed in linux-keystone (Ubuntu):
status: New → Invalid
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-keystone | 3.13.0-11.18 | trusty-proposed | source
 linux-meta-keystone | 3.13.0.11.10 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-09-04
description: updated
Brad Figg (brad-figg) on 2014-09-04
description: updated
Ike Panhc (ikepanhc) wrote :

Smoke functional test (SMP, LPAE, ethernet, sata, reboot) passed.

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Ike Panhc (ikepanhc) on 2014-09-10
tags: added: qa-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2014-09-10
description: updated
Ike Panhc (ikepanhc) wrote :

We have report which says -proposed kernel fix all exist bug.

Brad Figg (brad-figg) on 2014-09-22
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (6.2 KiB)

This bug was fixed in the package linux-keystone - 3.13.0-11.18

---------------
linux-keystone (3.13.0-11.18) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1365272
  * Rebase to Ubuntu-3.13.0-35.62

  [ Upstream Kernel Changes ]

  * rapidio: keystone: fix kernel link warning (wrong section usage)
    - LP: #1365300
  * rapidio: keystone: use GFP_DMA to allocate DMA buffers
    - LP: #1365300
  * rapidio: rio-dev: use GFP_DMA to allocate DMA buffers
    - LP: #1365300
  * remoteproc: patch for aligning uio address and size
    - LP: #1365300
  * ARM: 8036/1: Enable IRQs before attempting to read user space in
    __und_usr
    - LP: #1365299

  [ Ubuntu: 3.13.0-36.63 ]

  * Release Tracking Bug
    - LP: #1365052
  * SAUCE: (no-up) irqchip:gic: change access of gicc_ctrl register to read
    modify write.
    - LP: #1357527
  * SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code
    - LP: #1358949
  * SAUCE: (no-up) Drop APM X-Gene SoC Ethernet driver
    - LP: #1360140
  * [Config] Drop XGENE entries
    - LP: #1360140
  * [Config] CONFIG_NET_XGENE=m for arm64
    - LP: #1360140
  * SAUCE: Add compat macro for skb_get_hash
    - LP: #1358162
  * SAUCE: bcache: prevent crash on changing writeback_running
    - LP: #1357295
  * SAUCE: (no-up) arm64: Fix the csr-mask for APM X-Gene SoC AHCI SATA PHY
    clock DTS node.
    - LP: #1359489
  * SAUCE: (no-up) ahci_xgene: Skip the PHY and clock initialization if
    already configured by the firmware.
    - LP: #1359501
  * SAUCE: (no-up) ahci_xgene: Fix the link down in first attempt for the
    APM X-Gene SoC AHCI SATA host controller driver.
    - LP: #1359507
  * SAUCE: (no-up) pci-xgene-msi: fixed deadlock in irq_set_affinity
    - LP: #1359514
  * iwlwifi: mvm: Add a missed beacons threshold
    - LP: #1349572
  * mac80211: reset probe_send_count also in HW_CONNECTION_MONITOR case
    - LP: #1349572
  * genirq: Add an accessor for IRQ_PER_CPU flag
    - LP: #1357527
  * arm64: perf: add support for percpu pmu interrupt
    - LP: #1357527
  * cifs: sanity check length of data to send before sending
    - LP: #1283101
  * KVM: nVMX: Pass vmexit parameters to nested_vmx_vmexit
    - LP: #1329434
  * KVM: nVMX: Rework interception of IRQs and NMIs
    - LP: #1329434
  * KVM: vmx: disable APIC virtualization in nested guests
    - LP: #1329434
  * HID: Add transport-driver functions to the USB HID interface.
    - LP: #1353021
  * ahci_xgene: Removing NCQ support from the APM X-Gene SoC AHCI SATA Host
    Controller driver.
    - LP: #1358498
  * fold d_kill() and d_free()
    - LP: #1354234
  * fold try_prune_one_dentry()
    - LP: #1354234
  * new helper: dentry_free()
    - LP: #1354234
  * expand the call of dentry_lru_del() in dentry_kill()
    - LP: #1354234
  * dentry_kill(): don't try to remove from shrink list
    - LP: #1354234
  * don't remove from shrink list in select_collect()
    - LP: #1354234
  * more graceful recovery in umount_collect()
    - LP: #1354234
  * dcache: don't need rcu in shrink_dentry_list()
    - LP: #1354234
  * lift the "already marked killed" case into shrink_dentry_list()
  * split dentry_kill()
    - ...

Read more...

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2014-09-22
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers